Description

Hello everybody,

It's my first bug report so, I hope not to be too bad at it. I'm using 1.9.0-Master on mac osx.

I've spent my day on a big issue for my work. I'm doing maps of hydrology segments in different parts of France.

For that I have 5 layers with different informations. I need a label for each layer, BUT, I need the label of just a few objects (the ones that

intercept marinas in my case). With a lot of difficulties I managed to get almost rid of the un-wanted labels..

Main 3 problems: 

In the print composer, labels are not restricted by the frame of my composition, in fact most of the labels are cut. Moving the content of the

map, is worst with label moving along. It would be nice to had a labelling option to "prevent" label to fall out of the page.

Another bug with labels, when using a character ")" to wrap the label, this character disappear from the label !

Last but not least, "hide", "move", "rotate" or "pin" options for labels, are not available in any of my layers.

Thank you very much.

Arthur

History

#1 - 2013-08-06 09:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

hi,

It's my first bug report so, I hope not to be too bad at it. I'm using 1.9.0-Master on mac osx.

please file 1 ticket for each issue, and a meaningful/detailed ticket. Ex: "labels bug" does not help understand what's the ticket is about. "wrapping char in

labels disappear" is better.

For that I have 5 layers with different informations. I need a label for each layer, BUT, I need the label of just a few objects (the ones that intercept

marinas in my case). With a lot of difficulties I managed to get almost rid of the un-wanted labels..
you can use expressions also in labelling, have you tried it?

In the print composer, labels are not restricted by the frame of my composition, in fact most of the labels are cut. Moving the content of the map, is

worst with label moving along. It would be nice to had a labelling option to "prevent" label to fall out of the page.

if there isn't an option that allows to avoid render incomplete labels on the margins of the canvas, then please file a feature request rather than a bug.

Another bug with labels, when using a character ")" to wrap the label, this character disappear from the label !

anything used to wrap the label will not show, it seems is by design(?).

Last but not least, "hide", "move", "rotate" or "pin" options for labels, are not available in any of my layers.

you need to define the data defined fields, then toggle editing, not a bug.

#2 - 2013-08-06 09:32 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

I'm closing this because it is about several issues, let continue the discussion here anyway, then we can file separate tickets in case something is

confirmed. Cheers!

#3 - 2013-08-07 01:15 AM - Arthur Vignacq

Hello Giovanni,

Thanks for the answer. My answers just under.

Giovanni Manghi wrote:

hi,

It's my first bug report so, I hope not to be too bad at it. I'm using 1.9.0-Master on mac osx.

please file 1 ticket for each issue, and a meaningful/detailed ticket. Ex: "labels bug" does not help understand what's the ticket is about. "wrapping

char in labels disappear" is better.

For that I have 5 layers with different informations. I need a label for each layer, BUT, I need the label of just a few objects (the ones that intercept

marinas in my case). With a lot of difficulties I managed to get almost rid of the un-wanted labels..

you can use expressions also in labelling, have you tried it?

Yes I have, but I don't see what expression I could use to show : "Only row 1 of layer 2 WHEN intersect OBJECT in  layer 1" ? But I am a rookie

In the print composer, labels are not restricted by the frame of my composition, in fact most of the labels are cut. Moving the content of the map, is

worst with label moving along. It would be nice to had a labelling option to "prevent" label to fall out of the page.
if there isn't an option that allows to avoid render incomplete labels on the margins of the canvas, then please file a feature request rather than a

bug.

> Of course I should do this, but in the same topic, when moving the "inside" of the map in print composer in order to show entire label, labels doesn't move

along, and still being cut...

Another bug with labels, when using a character ")" to wrap the label, this character disappear from the label !

anything used to wrap the label will not show, it seems is by design(?).

Do you have an idea of the interest of this purpose?  Because my label got miswritten by this mean. ANy chance of a max lenght of label row feature? I've

see I while ago a demand on this.

Last but not least, "hide", "move", "rotate" or "pin" options for labels, are not available in any of my layers.

you need to define the data defined fields, then toggle editing, not a bug.

Do you speak of X and Y field?  I done this, and I'm now able to move and pin label, still, not able to "show/hide" ...

Thank you very much

#4 - 2013-08-07 03:03 AM - Giovanni Manghi

Yes I have, but I don't see what expression I could use to show : "Only row 1 of layer 2 WHEN intersect OBJECT in  layer 1" ? But I am a rookie

In qgis 2.0 the expression builder contains also spatial functions, but it is not well documented yet. In your case I would use the "spatial query" tool, use it to

select the features you need to label and then add a proper field for label visibility (see below).

Of course I should do this, but in the same topic, when moving the "inside" of the map in print composer in order to show entire label, labels doesn't

move along, and still being cut...

Can you please add a few screenshots or a screencast to better explain what do you mean?

Do you have an idea of the interest of this purpose?  Because my label got miswritten by this mean.

I don't know if is by design or a bug. You should ask in the developer mailing list.

ANy chance of a max lenght of label row feature? I've see I while ago a demand on this.

Sorry I don't understand what do you mean, anyway if it is a missing feature you can always file a feature request. If this request will be implemented

sooner then later it depends, if for you is a fundamental feature you can always support its development.

Do you speak of X and Y field?  I done this, and I'm now able to move and pin label, still, not able to "show/hide" ...
you must set also the "show label" field (where qgis expects to find 1 or 0).

#5 - 2013-08-07 03:19 AM - Nathan Woodrow

Another bug with labels, when using a character ")" to wrap the label, this character disappear from the label !

Do you have an idea of the interest of this purpose? Because my label got miswritten by this mean.

I don't know if is by design or a bug. You should ask in the developer mailing list.

This is by design and isn't going to change.

#6 - 2013-08-07 08:00 AM - Arthur Vignacq

Giovanni Manghi wrote:

Yes I have, but I don't see what expression I could use to show : "Only row 1 of layer 2 WHEN intersect OBJECT in  layer 1" ? But I am a rookie

In qgis 2.0 the expression builder contains also spatial functions, but it is not well documented yet. In your case I would use the "spatial query" tool,

use it to select the features you need to label and then add a proper field for label visibility (see below).

Of course I should do this, but in the same topic, when moving the "inside" of the map in print composer in order to show entire label, labels

doesn't move along, and still being cut...

Can you please add a few screenshots or a screencast to better explain what do you mean?

Do you have an idea of the interest of this purpose?  Because my label got miswritten by this mean.

I don't know if is by design or a bug. You should ask in the developer mailing list.

ANy chance of a max lenght of label row feature? I've see I while ago a demand on this.

Sorry I don't understand what do you mean, anyway if it is a missing feature you can always file a feature request. If this request will be implemented

sooner then later it depends, if for you is a fundamental feature you can always support its development.

Do you speak of X and Y field?  I done this, and I'm now able to move and pin label, still, not able to "show/hide" ...

you must set also the "show label" field (where qgis expects to find 1 or 0).

Thank you Giovanni. I will post my request. 

Before closing this topic, If anybody coul help me with the expression builder for labels. It would be great. I 've used spatial query tool but prefer the first

option.

Cheers
